<p align="center"><strong>Knew Karma</strong> (/nuː ‘kɑːrmə/) is a Reddit data analysis toolkit designed to provide an extensive range of
functionalities for exploring and analysing Reddit data. It includes a <strong>Command-Line Interface</strong> (<strong>CLI</strong>), and an
<strong>Application Programming Interface</strong> (<strong>API</strong>) to enable easy integration in other Python projects and/or scripts.
</p>

<p align="center">
    <a href="https://github.com/rly0nheart/knewkarma"><img alt="Code Style" src="https://img.shields.io/badge/code%20style-black-000000?logo=github&link=https%3A%2F%2Fgithub.com%2Frly0nheart%2Fknewkarma"></a>
    <a href="https://pepy.tech/project/knewkarma"><img alt="Downloads" src="https://img.shields.io/pepy/dt/knewkarma?logo=pypi"></a>
    <a href="https://pypi.org/project/knewkarma"><img alt="PyPI - Version" src="https://img.shields.io/pypi/v/knewkarma?logo=pypi&link=https%3A%2F%2Fpypi.org%2Fproject%2Fknewkarma"></a>
    <a href="https://snapcraft.io/knewkarma"><img alt="Snap Version" src="https://img.shields.io/snapcraft/v/knewkarma/latest/stable?logo=snapcraft&color=%23BB431A"></a>
    <a href="https://opencollective.com/knewkarma"><img alt="Open Collective backers and sponsors" src="https://img.shields.io/opencollective/all/knewkarma?logo=open-collective"></a>
</p>

***

## Table Of Contents

* [Documentation](#documentation)
* [Sponsorship](#sponsorship)
    * [How to Sponsor](#how-to-sponsor)
    * [What Sponsors Get](#what-sponsors-get)
* [Star History](#star-history)
* [Licence](#license)

## Documentation

Refer to the [documentation](https://knewkarma.readthedocs.io) for **Feature Overview**, **Installation**, **API
Integration** and
**Usage** instructions.

![docs](https://github.com/user-attachments/assets/1cfd097c-e5fa-4fe0-98f8-a7dd9d37c555)

## Sponsorship

Knew Karma is an open-source project developed and maintained by... [me](https://gravatar.com/rly0nheart).

If you find this toolkit useful and would like to support its development, you can sponsor the project
through **Open Collective**.

Your sponsorship will help cover the **costs of ongoing maintenance**, **new feature development**, and **overall
project
sustainability**.

![sponsorship](https://github.com/user-attachments/assets/30519732-91ba-477a-8a6d-0e23a158ea67)


### How to Sponsor

You can sponsor the project by visiting Knew Karma's [Open Collective page](https://opencollective.com/knewkarma) and
choosing a
sponsorship tier that fits your budget.

Whether you're a company that relies on Knew Karma for data analysis or an individual who appreciates open-source
projects and/or the work put into this project in particular, any amount is greatly appreciated.

### What Sponsors Get

As a sponsor, you'll be recognized in the README and Documentation, with your logo or name listed under the Sponsors
section. You'll also
receive periodic updates on the project's progress and plans.

Thank you for considering sponsoring Knew Karma. Your support keeps the project alive and thriving!

[Become a Sponsor](https://opencollective.com/knewkarma)

## Star History

<a href="https://star-history.com/#rly0nheart/knewkarma&Date">
 <picture>
   <source media="(prefers-color-scheme: dark)" srcset="https://api.star-history.com/svg?repos=rly0nheart/knewkarma&type=Date&theme=dark" />
   <source media="(prefers-color-scheme: light)" srcset="https://api.star-history.com/svg?repos=rly0nheart/knewkarma&type=Date" />
   <img alt="Star History Chart" src="https://api.star-history.com/svg?repos=rly0nheart/knewkarma&type=Date" />
 </picture>
</a>

## License

MIT License © [Richard Mwewa](https://gravatar.com/rly0nheart)

***

[![richard-mwewa](https://github.com/user-attachments/assets/5b29ee58-ea36-4ec0-aea3-4b2f9f7999fb)](https://gravatar.com/rly0nheart)
